#!/usr/bin/env python
# -*- coding: utf-8 -*-
 
from setuptools import setup



# This a function call, with many options. 
setup(

    # The name of your package, as it will appear on pypi.       
    name='linky-tools',
 
    # the version of code
    version='1.0.0',
 
    # The list of packages to be inserted in distribution
    packages=['linkydb'],

    # The list of data to be inserted in distribution
    #data_files = 

    scripts=['scripts/linky_grabber.py', 'scripts/linky_query.py'],

    # Name of author
    author="ermitz",
 
    # Email
    author_email="ermitz888@gmail.com",
 
    # A short description 
    description="Provide tools to grab and query data generated by Enedis Linky smart meter",
 
    # A long description, will be printed to present the lib  
    # We usually dump the READ here.    
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
 
    # list of dependencies
    install_requires=['linkymeter==1.0.0', 'pony==0.7.9', 'python-dateutil==2.7.5', 'requests==2.21.0'],
 
    # An url which points to official page of lib.
    url='https://gitlab.com/ermitz/linky-tools',
 
    # It is good habits to put some metadata about the lib
    # So that bots may class it.
    # The list of possible tags is long:
    # https://pypi.python.org/pypi?%3Aaction=list_classifiers.
    classifiers=[
        "Programming Language :: Python",
        "License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)",
        "Natural Language :: English",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3.5",
        "Programming Language :: Python :: 3.6",
        "Topic :: Home Automation"
    ],
)

